<?php
// Admin User routes
use LaraBB\Admin\Middleware\CheckAdmin;

Route::group([
    'namespace' => 'Admin',
    'prefix' => 'admin/settings',
    'middleware' => [
        'auth',
        CheckAdmin::class
    ]
], function() {
    Route::get('/', OverviewHandler::class)->name('admin.settings');

    Route::group([
        'namespace' => 'Prefix',
        'prefix'    => 'prefix',
        'middleware' => [
            'auth',
            CheckAdmin::class
        ]
    ], function() {
        Route::get('/', OverviewHandler::class)->name('admin.settings.prefix');
        Route::get('create', CreateHandler::class)->name('admin.settings-prefix.create');
        Route::get('{uuid}', EditHandler::class)->name('admin.settings-prefix.edit');
        Route::post('store', StoreHandler::class)->name('admin.settings-prefix.store');
        Route::post('update', UpdateHandler::class)->name('admin.settings-prefix.update');
        Route::post('destroy', DestroyHandler::class)->name('admin.settings-prefix.destroy');
    });
});
